| LibDriver NRF24L01 1.0.0 NRF24L01 full function driver

Functions
nrf24l01 interface driver function
nrf24l01 driver function

nrf24l01 interface driver modules More...

## Functions
uint8_t | nrf24l01_interface_spi_init (void)
| interface spi bus init More...
uint8_t | nrf24l01_interface_spi_deinit (void)
| interface spi bus deinit More...
uint8_t | nrf24l01_interface_spi_read (uint8_t reg, uint8_t *buf, uint16_t len)
| interface spi bus read More...
uint8_t | nrf24l01_interface_spi_write (uint8_t reg, uint8_t *buf, uint16_t len)
| interface spi bus write More...
uint8_t | nrf24l01_interface_gpio_init (void)
| interface gpio init More...
uint8_t | nrf24l01_interface_gpio_deinit (void)
| interface gpio deinit More...
uint8_t | nrf24l01_interface_gpio_write (uint8_t data)
| interface gpio write More...
void | nrf24l01_interface_delay_ms (uint32_t ms)
| interface delay ms More...
void | nrf24l01_interface_debug_print (const char *const fmt,...)
| interface print format data More...
void | nrf24l01_interface_receive_callback (uint8_t type, uint8_t num, uint8_t *buf, uint8_t len)
| interface receive callback More...

## Detailed Description

nrf24l01 interface driver modules

## Function Documentation

## ◆ nrf24l01_interface_debug_print()

void nrf24l01_interface_debug_print | ( | const char *const | fmt,
|  |  | ...
| ) |  |

interface print format data

Parameters

  [in] | fmt | is the format data

Note
  none

Definition at line 145 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_delay_ms()

void nrf24l01_interface_delay_ms | ( | uint32_t | ms | ) |

interface delay ms

Parameters

  [in] | ms |

Note
  none

Definition at line 135 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_gpio_deinit()

uint8_t nrf24l01_interface_gpio_deinit | ( | void |  | ) |

interface gpio deinit

Returns
  status code
  - 0 success
  - 1 deinit failed

Note
  none

Definition at line 112 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_gpio_init()

uint8_t nrf24l01_interface_gpio_init | ( | void |  | ) |

interface gpio init

Returns
  status code
  - 0 success
  - 1 init failed

Note
  none

Definition at line 100 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_gpio_write()

uint8_t nrf24l01_interface_gpio_write | ( | uint8_t | data | ) |

interface gpio write

Parameters

  [in] | data | is the written data

Returns
  status code
  - 0 success
  - 1 write failed

Note
  none

Definition at line 125 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_receive_callback()

void nrf24l01_interface_receive_callback | ( | uint8_t | type,
|  | uint8_t | num,
|  | uint8_t * | buf,
|  | uint8_t | len
| ) |  |

interface receive callback

Parameters

  [in] | type | is the receive callback type
  [in] | num | is the pipe number
  [in] | *buf | points to a data buffer
  [in] | len | is the buffer length

Note
  none

Definition at line 158 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_spi_deinit()

uint8_t nrf24l01_interface_spi_deinit | ( | void |  | ) |

interface spi bus deinit

Returns
  status code
  - 0 success
  - 1 spi deinit failed

Note
  none

Definition at line 58 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_spi_init()

uint8_t nrf24l01_interface_spi_init | ( | void |  | ) |

interface spi bus init

Returns
  status code
  - 0 success
  - 1 spi init failed

Note
  none

Definition at line 46 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_spi_read()

uint8_t nrf24l01_interface_spi_read | ( | uint8_t | reg,
|  | uint8_t * | buf,
|  | uint16_t | len
| ) |  |

interface spi bus read

Parameters

  [in] | reg | is the register address
  [out] | *buf | points to a data buffer
  [in] | len | is the length of data buffer

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 73 of file driver_nrf24l01_interface_template.c.

## ◆ nrf24l01_interface_spi_write()

uint8_t nrf24l01_interface_spi_write | ( | uint8_t | reg,
|  | uint8_t * | buf,
|  | uint16_t | len
| ) |  |

interface spi bus write

Parameters

  [in] | reg | is the register address
  [in] | *buf | points to a data buffer
  [in] | len | is the length of data buffer

Returns
  status code
  - 0 success
  - 1 write failed

Note
  none

Definition at line 88 of file driver_nrf24l01_interface_template.c.